lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'tourist_guide/version'

Gem::Specification.new do |spec|
  spec.name          = "tourist_guide"
  spec.version       = TouristGuide::VERSION
  spec.authors       = ["Muataz Aziz"]
  spec.email         = ["muataz.aziz91@yahoo.com"]

  spec.summary       = 'gem for helping tourists find places'
  spec.description   = 'gem for tourists'
  spec.homepage      = 'https://github.com/MuatazAziz/TouristGuide'
  spec.license       = "MIT"
  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = "https://rubygems.org"
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
    "public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "bin"
  spec.executables   = "tourist_guide"
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.14"
  spec.add_development_dependency "rake", "~> 10.0"
end
